/**
 * 删除对象中为空的属性值 返回一个新对象
 * @param data - 原始对象
 **/
export const delEmptyObjkey = function (data: any) {
  const obj = {} as any;
  for (const key in data) {
    if (
      data[key] !== null &&
      data[key] !== undefined &&
      data[key] !== '' &&
      JSON.stringify(data[key]) !== '[]' &&
      JSON.stringify(data[key]) !== '{}'
    ) {
      obj[key] = data[key];
    }
  }
  return obj;
};
